var myApp = new Framework7({
  fastClicks: false
});
 
var $$ = Dom7;
 
var mainView = myApp.addView('.view-main', {
  dynamicNavbar: true
});


var app = new Vue({
  //template: "#main",
  el: "#app",
  data: {
    triangle: {
      AB: null,
      BC: null,
      AC: null,
    },
    s_w: 1,
    step: 1,
    showGrid: true
  },
  watch: {
    step: function(val){
      if (this.step == 6){
        this.s_w = 3;
      }
    }
  },
  methods: {
    clearAll: function(){
      this.triangle.AB = this.triangle.BC = this.triangle.AC = null;
      this.step = 1;
      this.s_w = 1;
    }
  },
  computed: {
    A_x: function(){
      var A = 250 - 50*(this.triangle.AB/2);
      return A;
    },
    A_y: function(){
      return 450;
    },
    B_x: function(){
      var B = 250 + 50*(this.triangle.AB/2);
      return B;
    },
    B_y: function(){
      return 450;
    },
    d: function(){
      return Math.sqrt( Math.pow(this.A_x - this.B_x, 2) + Math.pow(this.A_y - this.B_y, 2) );
    },
    m: function(){
      return ( Math.pow(50*this.triangle.AC, 2) - Math.pow(50*this.triangle.BC, 2) )/(2*this.d) + this.d/2; 
    },
    v: function(){
      return Math.sqrt( Math.pow(50*this.triangle.AC, 2) - Math.pow(this.m, 2) );
    },
    S_x: function(){
      return this.A_x + (this.m / this.d) * (this.B_x - this.A_x);
    },
    S_y: function(){
      return this.A_y + (this.m / this.d) * (this.B_y - this.A_y);
    },

    C_x: function(){
      return this.S_x + (this.v / this.d) * (this.A_y - this.B_y);
    },
    C_y: function(){
      return this.S_y + (this.v / this.d) * (this.A_x - this.B_x);
    },
    isTriangle: function(){
      if (isNaN(this.triangle.AB) || isNaN(this.triangle.BC) || isNaN(this.triangle.AC))
      {
        console.log("isNAN");
        return false;
      };

      if (this.triangle.AB == null || this.triangle.AB == ""){
        console.log("null or empty");
        return false;
      };
        
      if (this.triangle.BC == null || this.triangle.BC == ""){
                console.log("null or empty");
        return false;

      };
        
      if (this.triangle.AC == null || this.triangle.AC == ""){
                console.log("null or empty");
        return false;

      }


      this.triangle.AB = 1*this.triangle.AB;
      this.triangle.BC = 1*this.triangle.BC;
      this.triangle.AC = 1*this.triangle.AC;

      if (this.triangle.AB <= 0 || this.triangle.BC <= 0 || this.triangle.AC <= 0){
        console.log("less than zero")
        return false;
      };
        


      if (this.triangle.AB + this.triangle.BC <= this.triangle.AC){
        console.log("less than other")
        return false;
      };


      if (this.triangle.BC + this.triangle.AC <= this.triangle.AB){
                console.log("less than other")
        return false;

      };


      if (this.triangle.AB + this.triangle.AC <= this.triangle.BC){
                console.log("less than other")
        return false;

      };


      return true;

    },
    translate: function(){
      return "translate(-" + 1*(this.A_x % 50) + ", 0)";
    }
  }
});